[Pkg-utopia-commits] r252 - in packages/experimental/gnome-volume-manager/debian: . patches
Sjoerd Simons
sjoerd@costa.debian.org
Wed, 22 Jun 2005 13:01:42 +0000
Author: sjoerd
Date: 2005-06-22 13:01:41 +0000 (Wed, 22 Jun 2005)
New Revision: 252
Added:
packages/experimental/gnome-volume-manager/debian/patches/99_autotools.patch
Modified:
packages/experimental/gnome-volume-manager/debian/control
packages/experimental/gnome-volume-manager/debian/patches/05_mount_at_start.patch
packages/experimental/gnome-volume-manager/debian/patches/06_pmount_crypt.patch
packages/experimental/gnome-volume-manager/debian/patches/10_improve_mounting.patch
packages/experimental/gnome-volume-manager/debian/patches/11_track_cdrom_changes.patch
packages/experimental/gnome-volume-manager/debian/patches/12_no_autorun.patch
Log:
Adapted all the patches where needed.. The mess compiles again!
Modified: packages/experimental/gnome-volume-manager/debian/control
===================================================================
--- packages/experimental/gnome-volume-manager/debian/control 2005-06-22 10:38:39 UTC (rev 251)
+++ packages/experimental/gnome-volume-manager/debian/control 2005-06-22 13:01:41 UTC (rev 252)
@@ -2,7 +2,7 @@
Section: gnome
Priority: optional
Maintainer: Sjoerd Simons <sjoerd@debian.org>
-Build-Depends: cdbs, libdbus-glib-1-dev, libhal-dev (>=0.5.2), libglade2-dev, libgnomeui-dev, debhelper (>= 4.2.21), libxml-parser-perl, libgtk2.0-dev (>= 2.6.0)
+Build-Depends: cdbs, libdbus-glib-1-dev, libhal-dev (>=0.5.2), libglade2-dev, libgnomeui-dev, debhelper (>= 4.2.21), libxml-parser-perl, libgtk2.0-dev (>= 2.6.0), libgksuui1.0-dev
Standards-Version: 3.6.1
Package: gnome-volume-manager
Modified: packages/experimental/gnome-volume-manager/debian/patches/05_mount_at_start.patch
===================================================================
--- packages/experimental/gnome-volume-manager/debian/patches/05_mount_at_start.patch 2005-06-22 10:38:39 UTC (rev 251)
+++ packages/experimental/gnome-volume-manager/debian/patches/05_mount_at_start.patch 2005-06-22 13:01:41 UTC (rev 252)
@@ -1,37 +1,34 @@
-diff -ruN gnome-volume-manager-1.2.1-old/src/manager.c gnome-volume-manager-1.2.1/src/manager.c
---- gnome-volume-manager-1.2.1-old/src/manager.c 2005-05-02 10:29:54.000000000 +0200
-+++ gnome-volume-manager-1.2.1/src/manager.c 2005-05-02 10:32:40.000000000 +0200
-@@ -971,9 +971,8 @@
+diff -ruN gnome-volume-manager-1.3.1-old/src/manager.c gnome-volume-manager-1.3.1/src/manager.c
+--- gnome-volume-manager-1.3.1-old/src/manager.c 2005-06-22 14:42:20.000000000 +0200
++++ gnome-volume-manager-1.3.1/src/manager.c 2005-06-22 14:45:27.000000000 +0200
+@@ -1153,6 +1153,8 @@
char **volumes;
char *udi;
char *device_file;
--
-- if (!config.automount_media)
-- return;
-+ char *drive_udi = NULL;
-+ gboolean do_mount;
++ char *drive_udi = NULL;
++ gboolean do_mount;
+ DBusError error;
- volumes = hal_find_device_by_capability (ctx, "volume", &num_volumes);
- for (i = 0; i < num_volumes; i++) {
-@@ -994,6 +993,21 @@
- "filesystem") != 0)
+ if (!config.automount_media)
+@@ -1188,6 +1190,21 @@
+ NULL),
+ "filesystem") != 0)
continue;
-
-+ drive_udi = hal_device_get_property_string(ctx, udi, "info.parent");
-+
++ drive_udi = libhal_device_get_property_string(ctx, udi, "info.parent", NULL);
++
+ do_mount = TRUE;
-+ if (hal_device_property_exists(ctx, drive_udi, "storage.hotpluggable") &&
-+ hal_device_get_property_bool(ctx, drive_udi, "storage.hotpluggable")) {
++ if (libhal_device_property_exists(ctx, drive_udi, "storage.hotpluggable", NULL) &&
++ libhal_device_get_property_bool(ctx, drive_udi, "storage.hotpluggable", NULL)) {
+ do_mount = config.automount_drives;
+ } else if (
-+ hal_device_property_exists(ctx, drive_udi, "storage.removable") &&
-+ hal_device_get_property_bool(ctx, drive_udi, "storage.removable")) {
++ libhal_device_property_exists(ctx, drive_udi, "storage.removable", NULL) &&
++ libhal_device_get_property_bool(ctx, drive_udi, "storage.removable", NULL)) {
+ do_mount = config.automount_media;
+ }
-+ hal_free_string(drive_udi);
-+
-+ if (!do_mount) continue;
++ libhal_free_string(drive_udi);
++
++ if (!do_mount) continue;
+
- device_file = hal_device_get_property_string (ctx, udi,
- "block.device");
+ device_file = libhal_device_get_property_string (ctx, udi,
+ "block.device",
Modified: packages/experimental/gnome-volume-manager/debian/patches/06_pmount_crypt.patch
===================================================================
--- packages/experimental/gnome-volume-manager/debian/patches/06_pmount_crypt.patch 2005-06-22 10:38:39 UTC (rev 251)
+++ packages/experimental/gnome-volume-manager/debian/patches/06_pmount_crypt.patch 2005-06-22 13:01:41 UTC (rev 252)
@@ -1,6 +1,6 @@
diff -ruN gnome-volume-manager-1.3.1-old/configure.in gnome-volume-manager-1.3.1/configure.in
--- gnome-volume-manager-1.3.1-old/configure.in 2005-03-31 18:27:06.000000000 +0200
-+++ gnome-volume-manager-1.3.1/configure.in 2005-06-02 16:49:38.000000000 +0200
++++ gnome-volume-manager-1.3.1/configure.in 2005-06-22 13:24:54.000000000 +0200
@@ -82,7 +82,7 @@
AC_PROG_INTLTOOL([0.27.2])
AM_GLIB_GNU_GETTEXT
@@ -11,8 +11,8 @@
AC_SUBST(GVM_LIBS)
diff -ruN gnome-volume-manager-1.3.1-old/src/manager.c gnome-volume-manager-1.3.1/src/manager.c
---- gnome-volume-manager-1.3.1-old/src/manager.c 2005-06-02 16:48:57.000000000 +0200
-+++ gnome-volume-manager-1.3.1/src/manager.c 2005-06-02 16:49:11.000000000 +0200
+--- gnome-volume-manager-1.3.1-old/src/manager.c 2005-06-22 13:24:54.000000000 +0200
++++ gnome-volume-manager-1.3.1/src/manager.c 2005-06-22 13:28:30.000000000 +0200
@@ -22,6 +22,8 @@
#include <dbus/dbus-glib.h>
#include <libhal.h>
@@ -22,7 +22,7 @@
#include "gvm.h"
-@@ -599,6 +601,139 @@
+@@ -486,6 +488,139 @@
}
/*
@@ -162,22 +162,23 @@
* gvm_device_mount - use BIN_MOUNT to mount the given device.
*
* @return TRUE iff the mount was succesful
-@@ -615,6 +750,14 @@
- return FALSE;
- }
+@@ -497,6 +632,15 @@
+ GError *error = NULL;
+ gint exit_status;
-+ /* Check for encrypted device */
-+ if (libhal_device_property_exists (hal_ctx, udi, "volume.fsusage", NULL) &&
-+ g_strcasecmp(libhal_device_get_property_string (hal_ctx, udi,
-+ "volume.fsusage", NULL), "crypto") == 0) {
-+ dbg ("encrypted volume found\n");
-+ gvm_device_mount_encrypted (udi);
-+ }
++ /* Check for encrypted device */
++ if (libhal_device_property_exists (hal_ctx, udi, "volume.fsusage", NULL) &&
++ g_strcasecmp(libhal_device_get_property_string (hal_ctx, udi,
++ "volume.fsusage", NULL), "crypto") == 0) {
++ dbg ("encrypted volume found\n");
++ gvm_device_mount_encrypted (udi);
++ return TRUE;
++ }
+
argv[0] = BIN_MOUNT;
argv[1] = udi;
argv[2] = NULL;
-@@ -1300,11 +1443,15 @@
+@@ -1184,11 +1328,15 @@
/* only mount if the block device got a sensible filesystem */
if (!libhal_device_property_exists (ctx, udi,
"volume.fsusage",
@@ -193,5 +194,5 @@
- "filesystem") != 0)
+ "crypto") != 0))
continue;
-
- device_file = libhal_device_get_property_string (ctx, udi,
+ drive_udi = hal_device_get_property_string(ctx, udi, "info.parent");
+
Modified: packages/experimental/gnome-volume-manager/debian/patches/10_improve_mounting.patch
===================================================================
--- packages/experimental/gnome-volume-manager/debian/patches/10_improve_mounting.patch 2005-06-22 10:38:39 UTC (rev 251)
+++ packages/experimental/gnome-volume-manager/debian/patches/10_improve_mounting.patch 2005-06-22 13:01:41 UTC (rev 252)
@@ -1,125 +1,144 @@
-diff -ruN gnome-volume-manager-old/src/manager.c gnome-volume-manager/src/manager.c
---- gnome-volume-manager-old/src/manager.c 2004-11-19 13:27:47.299259000 +0100
-+++ gnome-volume-manager/src/manager.c 2004-11-19 14:11:09.564039480 +0100
-@@ -491,6 +491,27 @@
- hal_free_string (mount_point);
+diff -ruN gnome-volume-manager-1.3.1-old/src/manager.c gnome-volume-manager-1.3.1/src/manager.c
+--- gnome-volume-manager-1.3.1-old/src/manager.c 2005-06-22 14:30:51.000000000 +0200
++++ gnome-volume-manager-1.3.1/src/manager.c 2005-06-22 14:33:38.000000000 +0200
+@@ -488,6 +488,30 @@
+ libhal_free_string (mount_point);
}
+/* Returns true if the storage policy indicates this should be manually
+ * mounted */
+static gboolean
+gvm_is_manual_mount(LibHalContext *ctx, const char *udi) {
-+ gchar *parent;
-+ gboolean ret = FALSE;
++ gchar *parent;
++ gboolean ret = FALSE;
+
-+ parent = hal_device_get_property_string(ctx, udi, "info.parent");
-+ if (hal_device_property_exists (hal_ctx, parent,
-+ "storage.automount_enabled_hint")) {
-+ ret = !hal_device_get_property_bool (hal_ctx, parent,
-+ "storage.automount_enabled_hint");
++ parent = libhal_device_get_property_string(ctx, udi, "info.parent", NULL);
++ if (libhal_device_property_exists (hal_ctx, parent,
++ "storage.automount_enabled_hint", NULL)) {
++ ret =
++ !libhal_device_get_property_bool (hal_ctx, parent,
++ "storage.automount_enabled_hint", NULL);
++ }
++ if (libhal_device_property_exists (hal_ctx, udi,
++ "storage.automount_enabled_hint", NULL)) {
++ ret =
++ !libhal_device_get_property_bool (hal_ctx, udi,
++ "storage.automount_enabled_hint", NULL);
+ }
-+ if (hal_device_property_exists (hal_ctx, udi,
-+ "storage.automount_enabled_hint")) {
-+ ret = !hal_device_get_property_bool (hal_ctx, udi,
-+ "storage.automount_enabled_hint");
-+ }
++ libhal_free_string(parent);
+ return ret;
+}
+
/*
- * gvm_device_mount - use BIN_MOUNT to mount the given device node.
+ * gvm_device_mount_finished - called back when mount finished.
*
-@@ -500,9 +521,47 @@
+@@ -627,20 +651,47 @@
* @return TRUE iff the mount was succesful
*/
static gboolean
--gvm_device_mount (const char *udi, const char *device)
-+gvm_device_mount (const char *udi, const char *device, gboolean run_policy)
+-gvm_device_mount (const char *udi)
++gvm_device_mount (const char *udi, gboolean run_policy)
{
-- return (gvm_run_command_sync(device , BIN_MOUNT, NULL, udi) == 0);
-+ gboolean ret = FALSE;
-+ /* don't attempt to mount if the automount_hint is false */
-+ if (gvm_is_manual_mount(hal_ctx, udi)) {
-+ dbg("%s has storage.automount_enabled_hint == false, not mounting\n"
-+ , udi);
-+ return FALSE;
-+ }
+ char *argv[3];
+ GError *error = NULL;
+ gint exit_status;
+-
++ gboolean ret = FALSE;
++ /* don't attempt to mount if the automount_hint is false */
++ if (gvm_is_manual_mount(hal_ctx, udi)) {
++ dbg("%s has storage.automount_enabled_hint == false, not mounting\n"
++ , udi);
++ return FALSE;
++ }
+ /* don't attempt to mount already mounted volumes */
-+ if (!hal_device_property_exists (hal_ctx, udi,
-+ "volume.is_mounted") ||
-+ hal_device_get_property_bool (hal_ctx, udi,
-+ "volume.is_mounted")) {
-+ dbg("%s already mounted, not mounting again\n", udi);
-+ return FALSE;
-+ }
-+
++ if (!libhal_device_property_exists (hal_ctx, udi, "volume.is_mounted", NULL) ||
++ libhal_device_get_property_bool (hal_ctx, udi, "volume.is_mounted", NULL)) {
++ dbg("%s already mounted, not mounting again\n", udi);
++ return FALSE;
++ }
+ /* Check for encrypted device */
+ if (libhal_device_property_exists (hal_ctx, udi, "volume.fsusage", NULL) &&
+ g_strcasecmp(libhal_device_get_property_string (hal_ctx, udi,
+ "volume.fsusage", NULL), "crypto") == 0) {
+ dbg ("encrypted volume found\n");
+ gvm_device_mount_encrypted (udi);
++ if (run_policy) {
++ mounted_volumes_policy_queue =
++ g_slist_append (mounted_volumes_policy_queue, g_strdup(udi));
++ }
+ return TRUE;
+ }
+ /* only mount if the block device got a sensible filesystem
-+ * or when hal couldn't detect the filesystem */
-+ if (!hal_device_property_exists (hal_ctx, udi,
-+ "volume.fsusage") ||
-+ (strcmp (hal_device_get_property_string (hal_ctx, udi,
-+ "volume.fsusage"), "filesystem") != 0
-+ && strcmp (hal_device_get_property_string (hal_ctx, udi,
-+ "volume.fsusage"), "") != 0)) {
-+ dbg("%s isn't a filesystem\n", udi);
-+ return FALSE;
-+ }
-+
-+ ret = (gvm_run_command_sync(device , BIN_MOUNT, NULL, udi) == 0);
-+ if (ret) {
-+ /* add to list of all volumes mounted during lifetime */
-+ all_mounted_volumes =
-+ g_slist_append (all_mounted_volumes, g_strdup (udi));
-+ }
-+ if (ret && run_policy) {
-+ mounted_volumes_policy_queue =
-+ g_slist_append (mounted_volumes_policy_queue, g_strdup(udi));
-+ }
-+ return ret;
++ * or when hal couldn't detect the filesystem */
++ if (!libhal_device_property_exists (hal_ctx, udi,
++ "volume.fsusage", NULL) ||
++ (strcmp (libhal_device_get_property_string (hal_ctx, udi,
++ "volume.fsusage", NULL), "filesystem") != 0
++ && strcmp (libhal_device_get_property_string (hal_ctx, udi,
++ "volume.fsusage", NULL), "") != 0)) {
++ dbg("%s isn't a filesystem\n", udi);
++ return FALSE;
++ }
+
+ argv[0] = BIN_MOUNT;
+ argv[1] = udi;
+@@ -651,8 +702,16 @@
+ warn ("failed to exec " BIN_MOUNT ": %s\n", error->message);
+ return FALSE;
+ }
+-
+- return (exit_status == 0);
++ if (exit_status == 0) {
++ ret = TRUE;
++ /* add to list of all volumes mounted during lifetime */
++ all_mounted_volumes = g_slist_append (all_mounted_volumes, g_strdup (udi));
++ if (run_policy) {
++ mounted_volumes_policy_queue =
++ g_slist_append (mounted_volumes_policy_queue, g_strdup(udi));
++ }
++ }
++ return ret;
}
/*
-@@ -572,8 +631,7 @@
+@@ -749,7 +808,7 @@
switch (action) {
case MOUNT:
-- gvm_device_mount (udi, device);
-- mounted_volumes_policy_queue = g_slist_append (mounted_volumes_policy_queue, g_strdup (udi));
-+ gvm_device_mount (udi, device, TRUE);
+- gvm_device_mount (udi);
++ gvm_device_mount (udi, TRUE);
+ mounted_volumes_policy_queue = g_slist_append (mounted_volumes_policy_queue, g_strdup (udi));
break;
case PLAY:
- gvm_run_cdplayer (device, device, udi);
-@@ -649,8 +707,7 @@
+@@ -852,7 +911,7 @@
gvm_ask_mixed (udi);
} else if (has_data) {
if (config.automount_media) {
-- gvm_device_mount (udi, device);
-- mounted_volumes_policy_queue = g_slist_append (mounted_volumes_policy_queue, g_strdup (udi));
-+ gvm_device_mount (udi, device, TRUE);
+- gvm_device_mount (udi);
++ gvm_device_mount (udi, TRUE);
+ mounted_volumes_policy_queue = g_slist_append (mounted_volumes_policy_queue, g_strdup (udi));
}
} else if (is_blank) {
- if (gvm_device_is_writer (drive_udi))
-@@ -707,8 +764,7 @@
+@@ -919,7 +978,7 @@
dbg ("Added: %s\n", device);
if (config.automount_drives) {
-- gvm_device_mount (udi, device);
-- mounted_volumes_policy_queue = g_slist_append (mounted_volumes_policy_queue, g_strdup (udi));
-+ gvm_device_mount (udi, device, TRUE);
+- gvm_device_mount (udi);
++ gvm_device_mount (udi, TRUE);
+ mounted_volumes_policy_queue = g_slist_append (mounted_volumes_policy_queue, g_strdup (udi));
}
}
-
-@@ -771,8 +827,7 @@
+@@ -988,8 +1047,7 @@
dbg ("Added: %s\n", device);
if (config.automount_drives) {
-- gvm_device_mount (udi, device);
+- gvm_device_mount (udi);
- mounted_volumes_policy_queue = g_slist_append (mounted_volumes_policy_queue, g_strdup (udi));
-+ gvm_device_mount (udi, device, TRUE);
++ gvm_device_mount (udi, TRUE);
}
out:
-@@ -845,10 +900,6 @@
+@@ -1066,10 +1124,6 @@
dbg ("Mounted: %s\n", udi);
@@ -129,36 +148,13 @@
-
policy_udi = g_slist_find_custom (mounted_volumes_policy_queue,
udi,
- (GCompareFunc)g_ascii_strcasecmp);
-@@ -1022,22 +1073,6 @@
- volumes = hal_find_device_by_capability (ctx, "volume", &num_volumes);
- for (i = 0; i < num_volumes; i++) {
- udi = volumes [i];
--
-- /* don't attempt to mount already mounted volumes */
-- if (!hal_device_property_exists (ctx, udi,
-- "volume.is_mounted") ||
-- hal_device_get_property_bool (ctx, udi,
-- "volume.is_mounted"))
-- continue;
--
-- /* only mount if the block device got a sensible filesystem */
-- if (!hal_device_property_exists (ctx, udi,
-- "volume.fsusage") ||
-- strcmp (hal_device_get_property_string (ctx, udi,
-- "volume.fsusage"),
-- "filesystem") != 0)
-- continue;
--
- drive_udi = hal_device_get_property_string(ctx, udi, "info.parent");
+ g_ascii_strcasecmp);
+@@ -1363,7 +1417,7 @@
- if (hal_device_property_exists(ctx, drive_udi, "storage.hotpluggable") &&
-@@ -1059,7 +1094,7 @@
-
dbg ("mount_all: mounting %s\n", device_file);
-- gvm_device_mount (udi, device_file);
-+ gvm_device_mount (udi, device_file, FALSE);
+- gvm_device_mount (udi);
++ gvm_device_mount (udi, FALSE);
- hal_free_string (device_file);
- } else
+ libhal_free_string (device_file);
+ } else {
Modified: packages/experimental/gnome-volume-manager/debian/patches/11_track_cdrom_changes.patch
===================================================================
--- packages/experimental/gnome-volume-manager/debian/patches/11_track_cdrom_changes.patch 2005-06-22 10:38:39 UTC (rev 251)
+++ packages/experimental/gnome-volume-manager/debian/patches/11_track_cdrom_changes.patch 2005-06-22 13:01:41 UTC (rev 252)
@@ -1,45 +1,38 @@
-diff -ruN gnome-volume-manager-1.1.3-old/src/manager.c gnome-volume-manager-1.1.3/src/manager.c
---- gnome-volume-manager-1.1.3-old/src/manager.c 2005-02-23 15:54:46.000000000 +0100
-+++ gnome-volume-manager-1.1.3/src/manager.c 2005-02-23 15:55:55.000000000 +0100
-@@ -678,11 +678,9 @@
- }
-
- ret = (gvm_run_command_sync(device , BIN_MOUNT, NULL, udi) == 0);
-- if (ret) {
- /* add to list of all volumes mounted during lifetime */
- all_mounted_volumes =
- g_slist_append (all_mounted_volumes, g_strdup (udi));
-- }
- if (ret && run_policy) {
- mounted_volumes_policy_queue =
- g_slist_append (mounted_volumes_policy_queue, g_strdup(udi));
-@@ -815,6 +813,7 @@
- dbus_bool_t has_audio;
+diff -ruN gnome-volume-manager-1.3.1-old/src/manager.c gnome-volume-manager-1.3.1/src/manager.c
+--- gnome-volume-manager-1.3.1-old/src/manager.c 2005-06-22 13:59:04.000000000 +0200
++++ gnome-volume-manager-1.3.1/src/manager.c 2005-06-22 14:08:15.000000000 +0200
+@@ -873,6 +873,7 @@
dbus_bool_t has_data;
dbus_bool_t is_blank;
+ DBusError error;
+ GSList *i;
- has_audio = hal_device_get_property_bool (hal_ctx, udi,
- "volume.disc.has_audio");
-@@ -831,6 +830,17 @@
+ dbus_error_init (&error);
+ has_audio = libhal_device_get_property_bool (hal_ctx, udi,
+@@ -898,10 +899,21 @@
+ warn ("cannot get block.device: %s\n", error.message);
+ if (dbus_error_is_set (&error))
+ dbus_error_free (&error);
+-
goto out;
}
-+ /* check whether we already saw the insertion/change of this device
-+ * without a removal; this happens on HAL restarts */
-+ for (i=all_mounted_volumes; i != NULL; i = g_slist_next (i))
-+ if (strcmp (udi, (const char *)i->data) == 0) {
-+ dbg ("Detected change event on already handled device, probably due to a hald restart\n");
-+ goto out;
-+ }
++ /* check whether we already saw the insertion/change of this device
++ * without a removal; this happens on HAL restarts */
++ for (i=all_mounted_volumes; i != NULL; i = g_slist_next (i)) {
++ if (strcmp (udi, (const char *)i->data) == 0) {
++ dbg ("Detected change event on already handled device, probably due to a hald restart\n");
++ goto out;
++ }
++ }
+
-+ /* add to the list of mounted volumes */
-+ all_mounted_volumes = g_slist_append (all_mounted_volumes, g_strdup (udi));
++ /* add to the list of mounted volumes */
++ all_mounted_volumes = g_slist_append (all_mounted_volumes, g_strdup (udi));
+
if (has_audio && (!has_data)) {
gvm_run_cdplayer (device, device, udi);
} else if (has_audio && has_data) {
-@@ -974,7 +984,22 @@
+@@ -1064,7 +1076,20 @@
hal_device_removed (LibHalContext *ctx __attribute__((__unused__)),
const char *udi)
{
@@ -47,18 +40,16 @@
+ GSList *next;
+
dbg ("Device removed: %s\n", udi);
-+ /* remove from list of all volumes mounted during lifetime */
++ /* remove from list of all volumes mounted during lifetime */
+
-+ for (i=all_mounted_volumes; i != NULL; i = next) {
-+ next = g_slist_next (i);
-+ if (strcmp (udi, (const char *)i->data) == 0) {
-+ g_free (i->data);
-+ all_mounted_volumes =
-+ g_slist_delete_link (
-+ all_mounted_volumes, i);
-+ break;
-+ }
-+ }
++ for (i=all_mounted_volumes; i != NULL; i = next) {
++ next = g_slist_next (i);
++ if (strcmp (udi, (const char *)i->data) == 0) {
++ g_free (i->data);
++ all_mounted_volumes = g_slist_delete_link ( all_mounted_volumes, i);
++ break;
++ }
++ }
}
/** Invoked when device in the Global Device List acquires a new capability.
Modified: packages/experimental/gnome-volume-manager/debian/patches/12_no_autorun.patch
===================================================================
--- packages/experimental/gnome-volume-manager/debian/patches/12_no_autorun.patch 2005-06-22 10:38:39 UTC (rev 251)
+++ packages/experimental/gnome-volume-manager/debian/patches/12_no_autorun.patch 2005-06-22 13:01:41 UTC (rev 252)
@@ -1,6 +1,6 @@
-diff -ruN gnome-volume-manager-1.1.3-old/gnome-volume-properties.glade gnome-volume-manager-1.1.3/gnome-volume-properties.glade
---- gnome-volume-manager-1.1.3-old/gnome-volume-properties.glade 2005-01-23 23:11:02.000000000 +0100
-+++ gnome-volume-manager-1.1.3/gnome-volume-properties.glade 2005-02-12 19:57:50.560900586 +0100
+diff -ruN gnome-volume-manager-1.3.1-old/gnome-volume-properties.glade gnome-volume-manager-1.3.1/gnome-volume-properties.glade
+--- gnome-volume-manager-1.3.1-old/gnome-volume-properties.glade 2005-02-06 17:10:39.000000000 +0100
++++ gnome-volume-manager-1.3.1/gnome-volume-properties.glade 2005-06-22 14:29:34.000000000 +0200
@@ -182,25 +182,6 @@
<property name="fill">False</property>
</packing>
@@ -95,11 +95,27 @@
<property name="activates_default">False</property>
</widget>
</child>
-diff -ruN gnome-volume-manager-1.1.3-old/src/manager.c gnome-volume-manager-1.1.3/src/manager.c
---- gnome-volume-manager-1.1.3-old/src/manager.c 2005-02-12 19:57:50.366896000 +0100
-+++ gnome-volume-manager-1.1.3/src/manager.c 2005-02-12 19:57:50.562900632 +0100
-@@ -462,7 +462,7 @@
+diff -ruN gnome-volume-manager-1.3.1-old/src/manager.c gnome-volume-manager-1.3.1/src/manager.c
+--- gnome-volume-manager-1.3.1-old/src/manager.c 2005-06-22 14:29:34.000000000 +0200
++++ gnome-volume-manager-1.3.1/src/manager.c 2005-06-22 14:30:35.000000000 +0200
+@@ -221,6 +221,7 @@
+ *
+ * Returns TRUE if the user selected 'Run' and FALSE otherwise
+ */
++/*
+ static gboolean
+ gvm_ask_autorun (const char *path)
+ {
+@@ -257,6 +258,7 @@
+ return retval;
+ }
++*/
+
+ /*
+ * gvm_check_dvd - is this a Video DVD? If so, do something about it.
+@@ -440,7 +442,7 @@
+
if (gvm_check_photos (udi, device, mount_point))
goto out;
-
@@ -107,7 +123,7 @@
if (config.autorun == TRUE && config.autorun_path) {
char **autorun_fns;
int i;
-@@ -500,7 +500,7 @@
+@@ -478,7 +480,7 @@
g_strfreev (autorun_fns);
}
@@ -116,9 +132,9 @@
if ((config.autobrowse == TRUE) && (autorun_succeeded == FALSE)) {
gvm_run_command (device, NAUTILUS_COMMAND, mount_point, udi);
}
-diff -ruN gnome-volume-manager-1.1.3-old/src/properties.c gnome-volume-manager-1.1.3/src/properties.c
---- gnome-volume-manager-1.1.3-old/src/properties.c 2005-02-12 19:57:50.432897000 +0100
-+++ gnome-volume-manager-1.1.3/src/properties.c 2005-02-12 19:59:23.414029155 +0100
+diff -ruN gnome-volume-manager-1.3.1-old/src/properties.c gnome-volume-manager-1.3.1/src/properties.c
+--- gnome-volume-manager-1.3.1-old/src/properties.c 2005-06-22 14:29:33.000000000 +0200
++++ gnome-volume-manager-1.3.1/src/properties.c 2005-06-22 14:29:34.000000000 +0200
@@ -36,7 +36,7 @@
GtkWidget *automount_drives_cb;
GtkWidget *automount_media_cb;
@@ -190,7 +206,7 @@
config.autoplay_cda = gconf_client_get_bool (config.client,
GCONF_ROOT "autoplay_cda", NULL);
config.autoplay_cda_command =
-@@ -434,7 +434,7 @@
+@@ -454,7 +454,7 @@
automount_drives_cb = glade_xml_get_widget (xml, "automount_drives_cb");
automount_media_cb = glade_xml_get_widget (xml, "automount_media_cb");
autobrowse_cb = glade_xml_get_widget (xml, "autobrowse_cb");
@@ -199,7 +215,7 @@
autoplay_cda_cb = glade_xml_get_widget (xml, "autoplay_cda_cb");
command_cda_entry = glade_xml_get_widget (xml, "command_cda_entry");
-@@ -485,8 +485,8 @@
+@@ -505,8 +505,8 @@
GTK_SIGNAL_FUNC (signal_response), NULL);
gtk_signal_connect (GTK_OBJECT (autobrowse_cb), "toggled",
GTK_SIGNAL_FUNC (signal_response), NULL);
Added: packages/experimental/gnome-volume-manager/debian/patches/99_autotools.patch
===================================================================
--- packages/experimental/gnome-volume-manager/debian/patches/99_autotools.patch 2005-06-22 10:38:39 UTC (rev 251)
+++ packages/experimental/gnome-volume-manager/debian/patches/99_autotools.patch 2005-06-22 13:01:41 UTC (rev 252)
@@ -0,0 +1,316 @@
+diff -ruN gnome-volume-manager-1.3.1-old/configure gnome-volume-manager-1.3.1/configure
+--- gnome-volume-manager-1.3.1-old/configure 2005-03-31 18:28:08.000000000 +0200
++++ gnome-volume-manager-1.3.1/configure 2005-06-22 14:23:42.000000000 +0200
+@@ -957,7 +957,7 @@
+ else
+ echo "$as_me: WARNING: no configuration information is in $ac_dir" >&2
+ fi
+- cd $ac_popdir
++ cd "$ac_popdir"
+ done
+ fi
+
+@@ -2272,8 +2272,7 @@
+ cat conftest.err >&5
+ echo "$as_me:$LINENO: \$? = $ac_status" >&5
+ (exit $ac_status); } &&
+- { ac_try='test -z "$ac_c_werror_flag"
+- || test ! -s conftest.err'
++ { ac_try='test -z "$ac_c_werror_flag" || test ! -s conftest.err'
+ { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
+ (eval $ac_try) 2>&5
+ ac_status=$?
+@@ -2331,8 +2330,7 @@
+ cat conftest.err >&5
+ echo "$as_me:$LINENO: \$? = $ac_status" >&5
+ (exit $ac_status); } &&
+- { ac_try='test -z "$ac_c_werror_flag"
+- || test ! -s conftest.err'
++ { ac_try='test -z "$ac_c_werror_flag" || test ! -s conftest.err'
+ { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
+ (eval $ac_try) 2>&5
+ ac_status=$?
+@@ -2448,8 +2446,7 @@
+ cat conftest.err >&5
+ echo "$as_me:$LINENO: \$? = $ac_status" >&5
+ (exit $ac_status); } &&
+- { ac_try='test -z "$ac_c_werror_flag"
+- || test ! -s conftest.err'
++ { ac_try='test -z "$ac_c_werror_flag" || test ! -s conftest.err'
+ { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
+ (eval $ac_try) 2>&5
+ ac_status=$?
+@@ -2503,8 +2500,7 @@
+ cat conftest.err >&5
+ echo "$as_me:$LINENO: \$? = $ac_status" >&5
+ (exit $ac_status); } &&
+- { ac_try='test -z "$ac_c_werror_flag"
+- || test ! -s conftest.err'
++ { ac_try='test -z "$ac_c_werror_flag" || test ! -s conftest.err'
+ { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
+ (eval $ac_try) 2>&5
+ ac_status=$?
+@@ -2549,8 +2545,7 @@
+ cat conftest.err >&5
+ echo "$as_me:$LINENO: \$? = $ac_status" >&5
+ (exit $ac_status); } &&
+- { ac_try='test -z "$ac_c_werror_flag"
+- || test ! -s conftest.err'
++ { ac_try='test -z "$ac_c_werror_flag" || test ! -s conftest.err'
+ { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
+ (eval $ac_try) 2>&5
+ ac_status=$?
+@@ -2594,8 +2589,7 @@
+ cat conftest.err >&5
+ echo "$as_me:$LINENO: \$? = $ac_status" >&5
+ (exit $ac_status); } &&
+- { ac_try='test -z "$ac_c_werror_flag"
+- || test ! -s conftest.err'
++ { ac_try='test -z "$ac_c_werror_flag" || test ! -s conftest.err'
+ { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
+ (eval $ac_try) 2>&5
+ ac_status=$?
+@@ -3595,8 +3589,7 @@
+ cat conftest.err >&5
+ echo "$as_me:$LINENO: \$? = $ac_status" >&5
+ (exit $ac_status); } &&
+- { ac_try='test -z "$ac_c_werror_flag"
+- || test ! -s conftest.err'
++ { ac_try='test -z "$ac_c_werror_flag" || test ! -s conftest.err'
+ { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
+ (eval $ac_try) 2>&5
+ ac_status=$?
+@@ -3766,8 +3759,7 @@
+ cat conftest.err >&5
+ echo "$as_me:$LINENO: \$? = $ac_status" >&5
+ (exit $ac_status); } &&
+- { ac_try='test -z "$ac_c_werror_flag"
+- || test ! -s conftest.err'
++ { ac_try='test -z "$ac_c_werror_flag" || test ! -s conftest.err'
+ { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
+ (eval $ac_try) 2>&5
+ ac_status=$?
+@@ -3835,8 +3827,7 @@
+ cat conftest.err >&5
+ echo "$as_me:$LINENO: \$? = $ac_status" >&5
+ (exit $ac_status); } &&
+- { ac_try='test -z "$ac_c_werror_flag"
+- || test ! -s conftest.err'
++ { ac_try='test -z "$ac_c_werror_flag" || test ! -s conftest.err'
+ { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
+ (eval $ac_try) 2>&5
+ ac_status=$?
+@@ -3981,8 +3972,7 @@
+ cat conftest.err >&5
+ echo "$as_me:$LINENO: \$? = $ac_status" >&5
+ (exit $ac_status); } &&
+- { ac_try='test -z "$ac_c_werror_flag"
+- || test ! -s conftest.err'
++ { ac_try='test -z "$ac_c_werror_flag" || test ! -s conftest.err'
+ { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
+ (eval $ac_try) 2>&5
+ ac_status=$?
+@@ -4053,8 +4043,7 @@
+ cat conftest.err >&5
+ echo "$as_me:$LINENO: \$? = $ac_status" >&5
+ (exit $ac_status); } &&
+- { ac_try='test -z "$ac_c_werror_flag"
+- || test ! -s conftest.err'
++ { ac_try='test -z "$ac_c_werror_flag" || test ! -s conftest.err'
+ { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
+ (eval $ac_try) 2>&5
+ ac_status=$?
+@@ -4198,8 +4187,7 @@
+ cat conftest.err >&5
+ echo "$as_me:$LINENO: \$? = $ac_status" >&5
+ (exit $ac_status); } &&
+- { ac_try='test -z "$ac_c_werror_flag"
+- || test ! -s conftest.err'
++ { ac_try='test -z "$ac_c_werror_flag" || test ! -s conftest.err'
+ { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
+ (eval $ac_try) 2>&5
+ ac_status=$?
+@@ -4257,8 +4245,7 @@
+ cat conftest.err >&5
+ echo "$as_me:$LINENO: \$? = $ac_status" >&5
+ (exit $ac_status); } &&
+- { ac_try='test -z "$ac_c_werror_flag"
+- || test ! -s conftest.err'
++ { ac_try='test -z "$ac_c_werror_flag" || test ! -s conftest.err'
+ { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
+ (eval $ac_try) 2>&5
+ ac_status=$?
+@@ -4355,8 +4342,7 @@
+ cat conftest.err >&5
+ echo "$as_me:$LINENO: \$? = $ac_status" >&5
+ (exit $ac_status); } &&
+- { ac_try='test -z "$ac_c_werror_flag"
+- || test ! -s conftest.err'
++ { ac_try='test -z "$ac_c_werror_flag" || test ! -s conftest.err'
+ { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
+ (eval $ac_try) 2>&5
+ ac_status=$?
+@@ -4435,8 +4421,7 @@
+ cat conftest.err >&5
+ echo "$as_me:$LINENO: \$? = $ac_status" >&5
+ (exit $ac_status); } &&
+- { ac_try='test -z "$ac_c_werror_flag"
+- || test ! -s conftest.err'
++ { ac_try='test -z "$ac_c_werror_flag" || test ! -s conftest.err'
+ { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
+ (eval $ac_try) 2>&5
+ ac_status=$?
+@@ -4500,8 +4485,7 @@
+ cat conftest.err >&5
+ echo "$as_me:$LINENO: \$? = $ac_status" >&5
+ (exit $ac_status); } &&
+- { ac_try='test -z "$ac_c_werror_flag"
+- || test ! -s conftest.err'
++ { ac_try='test -z "$ac_c_werror_flag" || test ! -s conftest.err'
+ { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
+ (eval $ac_try) 2>&5
+ ac_status=$?
+@@ -4565,8 +4549,7 @@
+ cat conftest.err >&5
+ echo "$as_me:$LINENO: \$? = $ac_status" >&5
+ (exit $ac_status); } &&
+- { ac_try='test -z "$ac_c_werror_flag"
+- || test ! -s conftest.err'
++ { ac_try='test -z "$ac_c_werror_flag" || test ! -s conftest.err'
+ { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
+ (eval $ac_try) 2>&5
+ ac_status=$?
+@@ -4643,8 +4626,7 @@
+ cat conftest.err >&5
+ echo "$as_me:$LINENO: \$? = $ac_status" >&5
+ (exit $ac_status); } &&
+- { ac_try='test -z "$ac_c_werror_flag"
+- || test ! -s conftest.err'
++ { ac_try='test -z "$ac_c_werror_flag" || test ! -s conftest.err'
+ { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
+ (eval $ac_try) 2>&5
+ ac_status=$?
+@@ -4708,8 +4690,7 @@
+ cat conftest.err >&5
+ echo "$as_me:$LINENO: \$? = $ac_status" >&5
+ (exit $ac_status); } &&
+- { ac_try='test -z "$ac_c_werror_flag"
+- || test ! -s conftest.err'
++ { ac_try='test -z "$ac_c_werror_flag" || test ! -s conftest.err'
+ { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
+ (eval $ac_try) 2>&5
+ ac_status=$?
+@@ -4825,8 +4806,7 @@
+ cat conftest.err >&5
+ echo "$as_me:$LINENO: \$? = $ac_status" >&5
+ (exit $ac_status); } &&
+- { ac_try='test -z "$ac_c_werror_flag"
+- || test ! -s conftest.err'
++ { ac_try='test -z "$ac_c_werror_flag" || test ! -s conftest.err'
+ { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
+ (eval $ac_try) 2>&5
+ ac_status=$?
+@@ -4993,8 +4973,7 @@
+ cat conftest.err >&5
+ echo "$as_me:$LINENO: \$? = $ac_status" >&5
+ (exit $ac_status); } &&
+- { ac_try='test -z "$ac_c_werror_flag"
+- || test ! -s conftest.err'
++ { ac_try='test -z "$ac_c_werror_flag" || test ! -s conftest.err'
+ { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
+ (eval $ac_try) 2>&5
+ ac_status=$?
+@@ -5127,8 +5106,7 @@
+ cat conftest.err >&5
+ echo "$as_me:$LINENO: \$? = $ac_status" >&5
+ (exit $ac_status); } &&
+- { ac_try='test -z "$ac_c_werror_flag"
+- || test ! -s conftest.err'
++ { ac_try='test -z "$ac_c_werror_flag" || test ! -s conftest.err'
+ { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
+ (eval $ac_try) 2>&5
+ ac_status=$?
+@@ -5213,8 +5191,7 @@
+ cat conftest.err >&5
+ echo "$as_me:$LINENO: \$? = $ac_status" >&5
+ (exit $ac_status); } &&
+- { ac_try='test -z "$ac_c_werror_flag"
+- || test ! -s conftest.err'
++ { ac_try='test -z "$ac_c_werror_flag" || test ! -s conftest.err'
+ { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
+ (eval $ac_try) 2>&5
+ ac_status=$?
+@@ -5423,23 +5400,23 @@
+ else
+ PKG_CONFIG_MIN_VERSION=0.9.0
+ if $PKG_CONFIG --atleast-pkgconfig-version $PKG_CONFIG_MIN_VERSION; then
+- echo "$as_me:$LINENO: checking for libgnomeui-2.0 dbus-glib-1 >= 0.31 hal >= 0.5.0 gtk+-2.0 >= 2.6.0" >&5
+-echo $ECHO_N "checking for libgnomeui-2.0 dbus-glib-1 >= 0.31 hal >= 0.5.0 gtk+-2.0 >= 2.6.0... $ECHO_C" >&6
++ echo "$as_me:$LINENO: checking for libgnomeui-2.0 dbus-glib-1 >= 0.31 hal >= 0.5.0 gtk+-2.0 >= 2.6.0 libgksuui1.0 >= 1.0.0" >&5
++echo $ECHO_N "checking for libgnomeui-2.0 dbus-glib-1 >= 0.31 hal >= 0.5.0 gtk+-2.0 >= 2.6.0 libgksuui1.0 >= 1.0.0... $ECHO_C" >&6
+
+- if $PKG_CONFIG --exists "libgnomeui-2.0 dbus-glib-1 >= 0.31 hal >= 0.5.0 gtk+-2.0 >= 2.6.0" ; then
++ if $PKG_CONFIG --exists "libgnomeui-2.0 dbus-glib-1 >= 0.31 hal >= 0.5.0 gtk+-2.0 >= 2.6.0 libgksuui1.0 >= 1.0.0" ; then
+ echo "$as_me:$LINENO: result: yes" >&5
+ echo "${ECHO_T}yes" >&6
+ succeeded=yes
+
+ echo "$as_me:$LINENO: checking GVM_CFLAGS" >&5
+ echo $ECHO_N "checking GVM_CFLAGS... $ECHO_C" >&6
+- GVM_CFLAGS=`$PKG_CONFIG --cflags "libgnomeui-2.0 dbus-glib-1 >= 0.31 hal >= 0.5.0 gtk+-2.0 >= 2.6.0"`
++ GVM_CFLAGS=`$PKG_CONFIG --cflags "libgnomeui-2.0 dbus-glib-1 >= 0.31 hal >= 0.5.0 gtk+-2.0 >= 2.6.0 libgksuui1.0 >= 1.0.0"`
+ echo "$as_me:$LINENO: result: $GVM_CFLAGS" >&5
+ echo "${ECHO_T}$GVM_CFLAGS" >&6
+
+ echo "$as_me:$LINENO: checking GVM_LIBS" >&5
+ echo $ECHO_N "checking GVM_LIBS... $ECHO_C" >&6
+- GVM_LIBS=`$PKG_CONFIG --libs "libgnomeui-2.0 dbus-glib-1 >= 0.31 hal >= 0.5.0 gtk+-2.0 >= 2.6.0"`
++ GVM_LIBS=`$PKG_CONFIG --libs "libgnomeui-2.0 dbus-glib-1 >= 0.31 hal >= 0.5.0 gtk+-2.0 >= 2.6.0 libgksuui1.0 >= 1.0.0"`
+ echo "$as_me:$LINENO: result: $GVM_LIBS" >&5
+ echo "${ECHO_T}$GVM_LIBS" >&6
+ else
+@@ -5447,7 +5424,7 @@
+ GVM_LIBS=""
+ ## If we have a custom action on failure, don't print errors, but
+ ## do set a variable so people can do so.
+- GVM_PKG_ERRORS=`$PKG_CONFIG --errors-to-stdout --print-errors "libgnomeui-2.0 dbus-glib-1 >= 0.31 hal >= 0.5.0 gtk+-2.0 >= 2.6.0"`
++ GVM_PKG_ERRORS=`$PKG_CONFIG --errors-to-stdout --print-errors "libgnomeui-2.0 dbus-glib-1 >= 0.31 hal >= 0.5.0 gtk+-2.0 >= 2.6.0 libgksuui1.0 >= 1.0.0"`
+ echo $GVM_PKG_ERRORS
+ fi
+
+@@ -5462,8 +5439,8 @@
+ if test $succeeded = yes; then
+ :
+ else
+- { { echo "$as_me:$LINENO: error: Library requirements (libgnomeui-2.0 dbus-glib-1 >= 0.31 hal >= 0.5.0 gtk+-2.0 >= 2.6.0) not met; consider adjusting the PKG_CONFIG_PATH environment variable if your libraries are in a nonstandard prefix so pkg-config can find them." >&5
+-echo "$as_me: error: Library requirements (libgnomeui-2.0 dbus-glib-1 >= 0.31 hal >= 0.5.0 gtk+-2.0 >= 2.6.0) not met; consider adjusting the PKG_CONFIG_PATH environment variable if your libraries are in a nonstandard prefix so pkg-config can find them." >&2;}
++ { { echo "$as_me:$LINENO: error: Library requirements (libgnomeui-2.0 dbus-glib-1 >= 0.31 hal >= 0.5.0 gtk+-2.0 >= 2.6.0 libgksuui1.0 >= 1.0.0) not met; consider adjusting the PKG_CONFIG_PATH environment variable if your libraries are in a nonstandard prefix so pkg-config can find them." >&5
++echo "$as_me: error: Library requirements (libgnomeui-2.0 dbus-glib-1 >= 0.31 hal >= 0.5.0 gtk+-2.0 >= 2.6.0 libgksuui1.0 >= 1.0.0) not met; consider adjusting the PKG_CONFIG_PATH environment variable if your libraries are in a nonstandard prefix so pkg-config can find them." >&2;}
+ { (exit 1); exit 1; }; }
+ fi
+
+@@ -6580,11 +6557,6 @@
+ *) ac_INSTALL=$ac_top_builddir$INSTALL ;;
+ esac
+
+- if test x"$ac_file" != x-; then
+- { echo "$as_me:$LINENO: creating $ac_file" >&5
+-echo "$as_me: creating $ac_file" >&6;}
+- rm -f "$ac_file"
+- fi
+ # Let's still pretend it is `configure' which instantiates (i.e., don't
+ # use $as_me), people would be surprised to read:
+ # /* config.h. Generated by config.status. */
+@@ -6623,6 +6595,12 @@
+ fi;;
+ esac
+ done` || { (exit 1); exit 1; }
++
++ if test x"$ac_file" != x-; then
++ { echo "$as_me:$LINENO: creating $ac_file" >&5
++echo "$as_me: creating $ac_file" >&6;}
++ rm -f "$ac_file"
++ fi
+ _ACEOF
+ cat >>$CONFIG_STATUS <<_ACEOF
+ sed "$ac_vpsub